package pages

import (
	"atri.dad/lib"
	"github.com/labstack/echo/v4"
)

type PapersProps struct {
	Papers []lib.CardLink
}

func Papers(c echo.Context) error {
	papers := []lib.CardLink{
		{
			Name:        "Bridging the Gap Between Social Networks and Healthcare",
			Description: "An Assessment of the Need for Improved Patient-Patient, Patient-Provider, and Provider-Provider Sharing",
			Href:        "/public/files/bridging_the_gap_between_social_networks_and_healthcare.pdf",
			Tags:        []string{"masters", "coursework", "sna"},
			Date:        "January 03, 2025",
		},
	}

	props := PapersProps{
		Papers: papers,
	}

	// Specify the partials used by this page
	partials := []string{"header", "navitems", "cardlinks"}

	// Render the template
	return lib.RenderTemplate(c.Response().Writer, "base", partials, props)
}
